MC68STRIP(1)

NAME
mc68strip - strip symbolic information from MC68000 object file

SYNOPSIS
mc68strip [-l] [-m] [-x] [-r] [-s] [-V] file-names

DESCRIPTION
The mc68strip command strips the symbol table and line number information from Motorola 68000 object files, including archives. Once this has been done, no symbolic debugging access is available for that file; therefore, this command is normally run only on production modules that have been debugged and tested.

The amount of information stripped from the symbol table can be controlled by using the following options:

-l  Strips line number information only; does not strip any symbol table information.

-m  Strips symbol table information only; does not strip any relocation information. Used for 630 MTG applications which need relocation information for downloads, but do not neccesarily need symbol table information. This option does not work on archives.

-x  Does not strip static or external symbol information.

-r  Resets the relocation indices into the symbol table.

-s  Resets the line number indices into the symbol table (does not remove). Resets the relocation indices into the symbol table.

-V  Prints the version of the mc68strip command executing on the standard error output.

If there are any relocation entries in the object file and any symbol table information is to be stripped, mc68strip will complain and terminate without stripping file-name unless the -r or -m flags are used.

If the mc68strip command is executed on a common archive file [see ar(4)] the archive symbol table will be removed. The archive symbol table must be restored by executing the mc68ar(1) command with the s option before the archive can be link edited by the mc68ld(1) command. Mc68strip(1) will instruct the user with appropriate warning messages when this situation arises.

The purpose of this command is to reduce the file storage overhead taken by the object file.

FILES
/usr/tmp/mc68str??????

SEE ALSO
dmdcc(1), mc68ar(1), mc68as(1), mc68ld(1).
a.out(4), ar(4) in the UNIX System V Programmer's Reference Manual.

DIAGNOSTICS

mc68strip:  name:  cannot open
        if name cannot be read.

mc68strip:  name:  bad magic
        if name is not a Motorola 68000 object file.

mc68strip:  name:  relocation entries present; cannot strip
        if name contains relocation entries and the -r or -m flag is not used, the symbol table information cannot be stripped.

mc68strip:  name:  other options set with "m" option
           if other flags are used with the -m option which is mutually exclusive.

mc68strip:  "m" option not allowed on archive files
            if file name is an archive file.